GET /database/collections/{collectionId}/documents

appwrite.io:client

Summary: List Documents
Operation ID: databaseListDocuments
Auth: custom_header
Description

Get a list of all the user documents. You can use the query params to filter your results. On admin mode, this endpoint will return a list of all of the project's documents. [Learn more about different API modes](/docs/admin).

Parameters (8)

collectionId (string, path, required)

Collection unique ID. You can create a new collection with validation rules using the Database service [server integration](/docs/server/database#createCollection).

filters (array, query, optional, default: [])

Array of filter strings. Each filter is constructed from a key name, comparison operator (=, !=, >, <, <=, >=) and a value. You can also use a dot (.) separator in attribute names to filter by child document attributes. Examples: 'name=John Doe' or 'category.$id>=5bed2d152c362'.

limit (integer, query, optional, default: 25)

Maximum number of documents to return in response. Use this value to manage pagination. By default will return maximum 25 results. Maximum of 100 results allowed per request.

offset (integer, query, optional, default: 0)

Offset value. The default value is 0. Use this param to manage pagination.

orderCast (string, query, optional, default: string)

Order field type casting. Possible values are int, string, date, time or datetime. The database will attempt to cast the order field to the value you pass here. The default value is a string.

orderField (string, query, optional)

Document field that results will be sorted by.

orderType (string, query, optional, default: ASC)

Order direction. Possible values are DESC for descending order, or ASC for ascending order.

search (string, query, optional)

Search query. Enter any free text search. The database will try to find a match against all document attributes and children. Max length: 256 chars.

No probe data for this endpoint yet.